Subject: bug#53322: 28.0.91; "C-h c" errors out for menu-bar clicks

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Jan 2022 20:34:19 +0200

>> >   C-h c
>> >   Click File->Open File from the menu bar
>> >
>> > This signals an error:
>> >
>> >   posn-set-point: Position not in text area of window
>> >
>> > Same thing happens with "C-h k".
>>
>> This is not reproducible, neither in gtk, nor in no-toolkit.
>
> That's expected.  But it is still a problem.
>
> Can you explain the rationale for the change in 8230a47?  I've read
> the commit log, but I still don't get it: what exactly is the problem
> with running the mouse-leave-buffer-hook in that case?  Also, are
> there other reasons for that change?  It was committed together with a
> change in isearch.el, so is that related in some way?

The rationale was explained at the end of bug#51173 that begins
with the error in isearch.  But I see no problem, there is no error now
when clicking any menu after C-h c.